"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MaterialTopTabsCollapsibleTabView;

var React = _interopRequireWildcard(require("react"));

var _native = require("@react-navigation/native");

var _reactNativeCollapsibleTabView = require("react-native-collapsible-tab-view");

var _materialTopTabs = require("@react-navigation/material-top-tabs");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function MaterialTopTabsCollapsibleTabView({
  pager,
  lazyPlaceholder,
  tabBar = props => /*#__PURE__*/React.createElement(_materialTopTabs.MaterialTopTabBar, props),
  tabBarOptions,
  state,
  navigation,
  descriptors,
  sceneContainerStyle,
  collapsibleOptions,
  ...rest
}) {
  const {
    colors
  } = (0, _native.useTheme)();

  const renderTabBar = props => {
    return tabBar({ ...tabBarOptions,
      ...props,
      state: state,
      navigation: navigation,
      descriptors: descriptors
    });
  };

  return /*#__PURE__*/React.createElement(_native.NavigationHelpersContext.Provider, {
    value: navigation
  }, /*#__PURE__*/React.createElement(_reactNativeCollapsibleTabView.CollapsibleTabView, _extends({}, collapsibleOptions, rest, {
    routeKeyProp: "name",
    onIndexChange: index => navigation.dispatch({ ..._native.TabActions.jumpTo(state.routes[index].name),
      target: state.key
    }),
    renderScene: ({
      route
    }) => descriptors[route.key].render(),
    navigationState: state,
    renderTabBar: renderTabBar,
    renderPager: pager,
    renderLazyPlaceholder: lazyPlaceholder,
    onSwipeStart: () => navigation.emit({
      type: 'swipeStart'
    }),
    onSwipeEnd: () => navigation.emit({
      type: 'swipeEnd'
    }),
    sceneContainerStyle: [{
      backgroundColor: colors.background
    }, sceneContainerStyle]
  })));
}
//# sourceMappingURL=MaterialTopTabsCollapsibleTabView.js.map